using System;
using System.Linq;
using System.Web.UI;

public partial class DetalhesProduto : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            using (NorthwindDataContext db = new NorthwindDataContext())
            {
                string productName = Page.RouteData.Values["NomeProduto"] as string;
                if (!string.IsNullOrWhiteSpace(productName))
                {
                    var query = db.Products.Where(p => p.ProductName == productName).Take(1).SingleOrDefault();

                    Label1.Text = query.ProductName;
                    HyperLink1.Text = query.Category.CategoryName;
                    HyperLink1.NavigateUrl = Page.GetRouteUrl("Exibir Produtos", new { NomeCategoria = query.Category.CategoryName });

                    if (query != null)
                    {
                        dvProdutos.DataSource = new Product[] { query };
                        dvProdutos.DataBind();
                    }
                }
            }
        }
    }
}